For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
HomeGuidesAPI ReferenceGlossary
HomeGuidesAPI ReferenceGlossary
  • API Reference
      • GETSearch entities
      • POSTCreate entity
      • GETGet entity
      • POSTUpdate entity
      • DELDelete entity
      • POSTAccept Terms of Service
      • POSTInitiate KYB
      • POSTGenerate JWT Token
      • GETGenerate Onboarding Link
      • POSTSend Onboarding Email
      • GETEvents
Logo
Sign inBook a demo
API ReferenceEntity

Generate JWT Token

POST
https://api.mercoa.com/entity/:entityId/token
POST
/entity/:entityId/token
$curl -X POST https://api.mercoa.com/entity/ent_a0f6ea94-0761-4a5e-a416-3c453cb7eced/token \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "expiresIn": "1h"
>}'
1"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZCI6MTIzNDU2Nzg5LCJuYW1lIjoiSm9zZXBoIn0.OpOSSw7e485LOP5PrzScxHb7SR6sAOMRckfFwi4rp7o"
Generate a JWT token for an entity with the given options. This token can be used to authenticate the entity in the Mercoa API and iFrame. <Warning>We recommend using [this endpoint](/api-reference/entity/user/get-token). This will enable features such as approvals and comments.</Warning>
Was this page helpful?
Previous

Generate Onboarding Link

Next
Built with

Generate a JWT token for an entity with the given options. This token can be used to authenticate the entity in the Mercoa API and iFrame.

We recommend using this endpoint. This will enable features such as approvals and comments.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

entityIdstringRequired
Entity ID or Entity ForeignID

Request

This endpoint expects an object.
expiresInstringOptional
Expressed in seconds or a string describing a time span. The default is 1h.
invoiceobjectOptional
pagesobjectOptional
styleobjectOptional
vendorsobjectOptional
entityobjectOptional
sessionIdstringOptional
Optional session ID to use for the token. If not provided, this token will not be associated with a session.

Response

This endpoint returns a string.

Errors

400
Bad Request
401
Unauthorized
403
Forbidden
404
Not Found
409
Conflict
500
Internal Server Error
501
Unimplemented